﻿.cookie-dialog {
    width: 100%;
    padding: 20px 30px 30px 20px;
    position: fixed;
    bottom: 0;
    z-index: 99999999999999999999999999;
    -webkit-box-shadow: 0px -10px 16px rgb(0 0 0 / 5%);
    box-shadow: 0px -10px 16px rgb(0 0 0 / 5%);
}

.cookie-dialog .dialog-content {
    display: flex;
    flex-direction: column;
}
.cookie-dialog .btn {
    white-space: normal;
}

.cookie-dialog .dialog-title {
    font-size: 28px;
    line-height: 30px;
    letter-spacing: 0.02em;
    font-weight: 500;
    margin-bottom: 10px;
}

.cookie-dialog .dialog-description {
    padding: 10px 0 10px 0;
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0.05em;
    font-weight: 300;
}

.cookie-dialog .dialog-description,
.cookie-dialog .learn-more,
.cookie-dialog .btn {
    font-size: 13px;
}

.cookie-dialog .learn-more,
.cookie-dialog .btn {
    padding: 9px 20px;
    border-radius: 30px;
    border:1px solid #000000;
}

.cookie-dialog .cookiedialog-button-wrap {
    display: flex;
}
.cookiedialog-button-wrap .btn {
    background-color:#ffffff;
}
.cookiedialog-button-wrap .btn:hover {
    background-color: rgba(0, 0, 0, 0.8);
    color: #ffffff!important;
    -webkit-box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.12);
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.12);
    border-color: rgba(0, 0, 0, 0.8);
}
.cookiedialog-button-wrap .btn.btn-white:hover {
    background-color: rgba(0, 0, 0, 0.8)!important;
}
.btn.cookie {
    padding: 9px 20px;
    border-radius: 30px;
    border: 1px solid #000000;
    background-color:#000000;
    color:#ffffff;
}
.btn.cookie:hover {
    background-color: rgba(0, 0, 0, 0.8) !important;
    -webkit-box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.12);
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.12);
    border-color: rgba(0, 0, 0, 0.8);
}
.btn.cookie:hover {
    background-color: rgba(0, 0, 0, 0.8) !important;
}
@media (max-width: 480px) {
    .cookie-dialog .dialog-content {
        text-align:center;
    }
    .cookie-dialog .cookiedialog-button-wrap {
        flex-direction: column;
        align-items: center;
    }
        .cookie-dialog .cookiedialog-button-wrap .btn:not(:first-child) {
            margin-top: 12px;
        }
}
@media (min-width: 481px) {
    .cookie-dialog .cookiedialog-button-wrap .btn:not(:first-child) {
        margin-left: 12px;
    }
}


.cookie-dialog .cookiedialog-button-wrap {
    width: 100%;
}

@media (max-width: 767px) {
    .cookie-dialog {
        padding: 20px 10px;
    }
    .cookie-dialog .btn {
        padding: 0.6em 0.9em;
        width: 48%;
    }
}

@media (max-width: 1439px) {
    .responsive-table-input-matrix th,
    .responsive-table-input-matrix td {
        width: unset !important;
    }
    .responsive-table-input-matrix {
        width: unset !important;
    }
} 
